Make bash shebangs through /usr/bin/env

This commit makes bash shebangs through /usr/bin/env. The originals work
correctly. However, it could be more flexible through /usr/bin/env. And
we already have a same thing in tools/tox_install.sh. So this commit
makes them consistent, too.

Change-Id: I35a6940cbd95c3b0f0d0f6391584b826e4de2ce5
diff --git a/tools/generate-tempest-plugins-list.sh b/tools/generate-tempest-plugins-list.sh
index ecff508..e6aad86 100755
--- a/tools/generate-tempest-plugins-list.sh
+++ b/tools/generate-tempest-plugins-list.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -ex
+#!/usr/bin/env bash
 
 # Copyright 2016 Hewlett Packard Enterprise Development Company, L.P.
 #
@@ -38,6 +38,8 @@
 # current working directory, it will be prepended or appended to
 # the generated reStructuredText plugins table respectively.
 
+set -ex
+
 (
 declare -A plugins